Create a workstream
curl --request POST \
--url https://openlens.com/api/workstreams \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"topicIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"attributes": [
"<string>"
],
"attributeMode": "all",
"goal": {
"goalText": "<string>",
"targetVisibility": 50,
"targetDeadline": "2023-12-25"
}
}
'import requests
url = "https://openlens.com/api/workstreams"
payload = {
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"topicIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"attributes": ["<string>"],
"attributeMode": "all",
"goal": {
"goalText": "<string>",
"targetVisibility": 50,
"targetDeadline": "2023-12-25"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
topicIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
attributes: ['<string>'],
attributeMode: 'all',
goal: {goalText: '<string>', targetVisibility: 50, targetDeadline: '2023-12-25'}
})
};
fetch('https://openlens.com/api/workstreams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workstream": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"topicIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"attributes": [
"<string>"
],
"archivedAt": "2023-11-07T05:31:56Z",
"currentGoal": {
"effectiveFrom": "2023-11-07T05:31:56Z",
"goalText": "<string>",
"targetVisibility": 50,
"targetDeadline": "2023-12-25"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Workstreams
Create a workstream
POST
/
workstreams
Create a workstream
Authorizations
Clerk API key. Create one from your account settings under API Keys.
Body
application/json
Response
Workstream created
Show child attributes
Show child attributes
Was this page helpful?
⌘I